Download it now!
Bug 74041 - Calc crashes when inserting a column
Summary: Calc crashes when inserting a column
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.3 rc
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.3.0 target:4.2.0
Keywords: regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-01-25 07:56 UTC by Peter Beurle
Modified: 2014-02-04 08:27 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample with instructions to reproduce (24.01 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-25 07:56 UTC, Peter Beurle
Details
bt (5.13 KB, text/plain)
2014-01-25 17:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Beurle 2014-01-25 07:56:33 UTC
Created attachment 92758 [details]
Sample with instructions to reproduce

When inserting a column in this spreadsheet it crashes with an error "block position not found". Instructions to reproduce are inside the sheet.
Comment 1 tommy27 2014-01-25 08:55:18 UTC
I reproduce crash in Version: 4.2.1.0.0+ (Win7 64bit)
Build ID: 88cd9632e081f5839cf9fddf60cbff0c099e2968
TinderBox: Win-x86@42, Branch:libreoffice-4-2 Time: 2014-01-09_22:46:56

no crash with 4.1.4.2

I add Calc expert to CC list.
Comment 2 Cor Nouws 2014-01-25 12:30:33 UTC
crashes too in 4.2.0.3 on Ubuntu
(I did see some repair from Kohei irrc on references
  http://cgit.freedesktop.org/libreoffice/core/commit/?id=982a03d4e2baf4ca7e78c79014389d9b23e200d1 )

Could be the same ... hmm, that should be in 4.2.0, so prolly another one)
Comment 3 tim 2014-01-25 12:36:57 UTC
Also seen on ubuntu 13.10 64 bit, LO 4.2.0.2 in a rather complex multi-sheet workbook.  Happens on some sheets but not others.

Serious grief for me.
Comment 4 Jean-Baptiste Faure 2014-01-25 12:59:13 UTC
Comment on attachment 92758 [details]
Sample with instructions to reproduce

Fixed mime type
Comment 5 Jean-Baptiste Faure 2014-01-25 13:56:39 UTC
(In reply to comment #2)
> crashes too in 4.2.0.3 on Ubuntu
> (I did see some repair from Kohei irrc on references
>  
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=982a03d4e2baf4ca7e78c79014389d9b23e200d1 )
> 
> Could be the same ... hmm, that should be in 4.2.0, so prolly another one)

Yes it is : https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=41b9f71f6717e9e4a6395227406c73b73c2d3a35
Comment 6 Julien Nabet 2014-01-25 17:27:26 UTC
Created attachment 92777 [details]
bt

On pc Debian x86-64 with master sources updated today, I can reproduce this.
I attached bt with symbols.
Comment 7 Commit Notification 2014-01-27 11:02:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b04bbd5c1423e2c8aa2be8a3a4dd3a68dc1315f1

only put bounds in vector if range is outside of copy range, fdo#74041



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-01-27 12:50:51 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c16eef21687f5d1f9b2bd789b1cf8b953bf2cd33&h=libreoffice-4-2

only put bounds in vector if range is outside of copy range, fdo#74041


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-01-27 14:27:35 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d74436c22a72abc7ddb7a06352934e0a8e423f16&h=libreoffice-4-2-0

only put bounds in vector if range is outside of copy range, fdo#74041


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Peter Beurle 2014-02-02 08:07:19 UTC
Thanks for the exceptional effort in fixing this so quickly. Within hours QA had confirmed it and within a couple of days it was fixed. I downloaded new version within a week! I wonder whether anyone else can do that other than the LibreOffice team?
Comment 11 tim 2014-02-02 08:52:49 UTC
The responsiveness & speed of the Libreoffice team is one of the main reasons I use it.  I am seriously impressed.  Keep up the good work!

As soon as the patched 4.2 is available via the ubuntu pre-release ppa I'll re-test and verify.
Comment 12 Jean-Baptiste Faure 2014-02-02 09:19:58 UTC
Verified in 4.2.1.0.0+ and master (Version: 4.3.0.0.alpha0+
Build ID: 6ebd7992ae774c7eb96b55c1cf39fbd922f66878) on Ubuntu 13.10 x86-64

Best regards. JBF
Comment 13 Commit Notification 2014-02-02 20:07:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5b79c8ae224b13a1035ab57998b0fe61d9fb886

fdo#74041: Write unit test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 tim 2014-02-04 08:27:42 UTC
Just to say that I have also checked that this is fixed in 4.2.0.4 for an 'insert row' in a Calc sheet that had caused a crash and considerable corruption.

Thanks.